!
! $Header$
!
SUBROUTINE eigen( e,d)
  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
IMPLICIT NONE

  real :: e( iim,iim ), d( iim )
  real :: asm( iim )
  integer :: im,i,j
  im=iim
  !
  DO i = 1,im
     asm( i ) = d( im-i+1 )
  END DO
  DO i = 1,iim
     d( i ) = asm( i )
  END DO
  !
  ! PRINT 70,d
 70   FORMAT(5x,'Valeurs propres',/,8(1x,8f10.4,/),/)
            print *
  !
  DO i = 1,im
     DO j = 1,im
        asm( j ) = e( i , im-j+1 )
     END DO
     DO j = 1,im
        e( i,j ) = asm( j )
     END DO
  END DO

  RETURN
END SUBROUTINE eigen
